summaryrefslogtreecommitdiff
path: root/dev-python/BitVector/BitVector-3.4.9.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/BitVector/BitVector-3.4.9.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/BitVector/BitVector-3.4.9.ebuild')
-rw-r--r--dev-python/BitVector/BitVector-3.4.9.ebuild21
1 files changed, 21 insertions, 0 deletions
diff --git a/dev-python/BitVector/BitVector-3.4.9.ebuild b/dev-python/BitVector/BitVector-3.4.9.ebuild
new file mode 100644
index 000000000000..563c11c30c40
--- /dev/null
+++ b/dev-python/BitVector/BitVector-3.4.9.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="A pure-Python memory-efficient packed representation for bit arrays"
+HOMEPAGE="https://engineering.purdue.edu/kak/dist/ https://pypi.org/project/BitVector/"
+SRC_URI="https://engineering.purdue.edu/kak/dist/${P}.tar.gz"
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+ "${PYTHON}" TestBitVector/Test.py || die "Tests fail with ${EPYTHON}"
+}